# This package contains all scraper modules.
# Each scraper should implement the BaseScraper interface from base.py.

from .base import BaseScraper, ScrapeResult
from .factory import get_scraper, get_available_scrapers
from .manager import ScraperManager
from .dummy import Scraper as DummyScraper
from .failed_retry import Scraper as FailedRetryScraper

__all__ = [
    'BaseScraper',
    'ScrapeResult', 
    'get_scraper',
    'get_available_scrapers',
    'ScraperManager',
    'DummyScraper',
    'FailedRetryScraper'
]
