#!/bin/bash
# Simple launcher for diagnostic menu
# This script works regardless of virtualenv status

# Find the directory where this script is located
SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )"
PROJECT_ROOT="$( cd "$SCRIPT_DIR/.." &> /dev/null && pwd )"
MENU_SCRIPT="$SCRIPT_DIR/diagnostics/diagnostic_menu.py"

# Go to project root to ensure correct paths
cd "$PROJECT_ROOT"

# Check if the diagnostic menu exists
if [ ! -f "$MENU_SCRIPT" ]; then
  echo "Error: Diagnostic menu not found at $MENU_SCRIPT"
  echo "Please make sure you're running this script from the project root directory."
  exit 1
fi

# Make sure the script is executable
chmod +x "$MENU_SCRIPT"

# Run the diagnostic menu
python "$MENU_SCRIPT"
